routes/web.php
    Route::delete('tasks/destroy', 'TaskController@massDestroy')->name('tasks.massDestroy');
    Route::post('tasks/media', 'TaskController@storeMedia')->name('tasks.storeMedia');
    Route::post('tasks/ckmedia', 'TaskController@storeCKEditorImages')->name('tasks.storeCKEditorImages');
    Route::resource('tasks', 'TaskController');

    // Tasks Calendars
    Route::resource('tasks-calendars', 'TasksCalendarController', ['except' => ['create', 'store', 'edit', 'update', 'show', 'destroy']]);

    // Bureauxes
    Route::delete('bureauxes/destroy', 'BureauxController@massDestroy')->name('bureauxes.massDestroy');
    Route::resource('bureauxes', 'BureauxController');

    // Diploms
    Route::delete('diploms/destroy', 'DiplomController@massDestroy')->name('diploms.massDestroy');
    Route::post('diploms/media', 'DiplomController@storeMedia')->name('diploms.storeMedia');
    Route::post('diploms/ckmedia', 'DiplomController@storeCKEditorImages')->name('diploms.storeCKEditorImages');
    Route::resource('diploms', 'DiplomController');

    // Certificates
    Route::delete('certificates/destroy', 'CertificateController@massDestroy')->name('certificates.massDestroy');
    Route::post('certificates/media', 'CertificateController@storeMedia')->name('certificates.storeMedia');
    Route::post('certificates/ckmedia', 'CertificateController@storeCKEditorImages')->name('certificates.storeCKEditorImages');
    Route::resource('certificates', 'CertificateController');

    // Associations
    Route::delete('associations/destroy', 'AssociationController@massDestroy')->name('associations.massDestroy');
    Route::post('associations/media', 'AssociationController@storeMedia')->name('associations.storeMedia');
    Route::post('associations/ckmedia', 'AssociationController@storeCKEditorImages')->name('associations.storeCKEditorImages');
    Route::resource('associations', 'AssociationController');

    // Ancien Partis
    Route::delete('ancien-partis/destroy', 'AncienPartiController@massDestroy')->name('ancien-partis.massDestroy');
    Route::resource('ancien-partis', 'AncienPartiController');

    // La Ligne Politiques
    Route::delete('la-ligne-politiques/destroy', 'LaLignePolitiqueController@massDestroy')->name('la-ligne-politiques.massDestroy');
    Route::post('la-ligne-politiques/media', 'LaLignePolitiqueController@storeMedia')->name('la-ligne-politiques.storeMedia');
    Route::post('la-ligne-politiques/ckmedia', 'LaLignePolitiqueController@storeCKEditorImages')->name('la-ligne-politiques.storeCKEditorImages');
    Route::resource('la-ligne-politiques', 'LaLignePolitiqueController');

    // Logos
    Route::delete('logos/destroy', 'LogoController@massDestroy')->name('logos.massDestroy');
    Route::post('logos/media', 'LogoController@storeMedia')->name('logos.storeMedia');
    Route::post('logos/ckmedia', 'LogoController@storeCKEditorImages')->name('logos.storeCKEditorImages');
    Route::resource('logos', 'LogoController');

    // The Constitutions
    Route::delete('the-constitutions/destroy', 'TheConstitutionController@massDestroy')->name('the-constitutions.massDestroy');
    Route::post('the-constitutions/media', 'TheConstitutionController@storeMedia')->name('the-constitutions.storeMedia');
    Route::post('the-constitutions/ckmedia', 'TheConstitutionController@storeCKEditorImages')->name('the-constitutions.storeCKEditorImages');
    Route::resource('the-constitutions', 'TheConstitutionController');

    // Videos
    Route::delete('videos/destroy', 'VideoController@massDestroy')->name('videos.massDestroy');
    Route::resource('videos', 'VideoController');

    // Pdfs
    Route::delete('pdfs/destroy', 'PdfController@massDestroy')->name('pdfs.massDestroy');
    Route::post('pdfs/media', 'PdfController@storeMedia')->name('pdfs.storeMedia');
    Route::post('pdfs/ckmedia', 'PdfController@storeCKEditorImages')->name('pdfs.storeCKEditorImages');
    Route::resource('pdfs', 'PdfController');

    // Languages
    Route::delete('languages/destroy', 'LanguageController@massDestroy')->name('languages.massDestroy');
    Route::resource('languages', 'LanguageController');

    // Countries
    Route::delete('countries/destroy', 'CountriesController@massDestroy')->name('countries.massDestroy');
    Route::resource('countries', 'CountriesController');

    // Chat Tests
    Route::delete('chat-tests/destroy', 'ChatTestController@massDestroy')->name('chat-tests.massDestroy');
    Route::resource('chat-tests', 'ChatTestController');

    // Blog Tests
    Route::delete('blog-tests/destroy', 'BlogTestController@massDestroy')->name('blog-tests.massDestroy');
    Route::resource('blog-tests', 'BlogTestController');

    // Member Tests
    Route::delete('member-tests/destroy', 'MemberTestController@massDestroy')->name('member-tests.massDestroy');
    Route::resource('member-tests', 'MemberTestController');

    // Bureau Tests
    Route::delete('bureau-tests/destroy', 'BureauTestController@massDestroy')->name('bureau-tests.massDestroy');
    Route::resource('bureau-tests', 'BureauTestController');

    // Rapportfinancier Tests
    Route::delete('rapportfinancier-tests/destroy', 'RapportfinancierTestController@massDestroy')->name('rapportfinancier-tests.massDestroy');
    Route::resource('rapportfinancier-tests', 'RapportfinancierTestController');

    // Rapport Tests
    Route::delete('rapport-tests/destroy', 'RapportTestController@massDestroy')->name('rapport-tests.massDestroy');
    Route::resource('rapport-tests', 'RapportTestController');

    // Vote Tests
    Route::delete('vote-tests/destroy', 'VoteTestController@massDestroy')->name('vote-tests.massDestroy');
    Route::resource('vote-tests', 'VoteTestController');

    // Conference Tests
    Route::delete('conference-tests/destroy', 'ConferenceTestController@massDestroy')->name('conference-tests.massDestroy');
    Route::resource('conference-tests', 'ConferenceTestController');

    // Gallery Tests
    Route::delete('gallery-tests/destroy', 'GalleryTestController@massDestroy')->name('gallery-tests.massDestroy');
    Route::post('gallery-tests/media', 'GalleryTestController@storeMedia')->name('gallery-tests.storeMedia');
    Route::post('gallery-tests/ckmedia', 'GalleryTestController@storeCKEditorImages')->name('gallery-tests.storeCKEditorImages');
    Route::resource('gallery-tests', 'GalleryTestController');

    // Deputeseventes
    Route::delete('deputeseventes/destroy', 'DeputeseventesController@massDestroy')->name('deputeseventes.massDestroy');
    Route::resource('deputeseventes', 'DeputeseventesController');

    // Documentation Tests
    Route::delete('documentation-tests/destroy', 'DocumentationTestController@massDestroy')->name('documentation-tests.massDestroy');
    Route::resource('documentation-tests', 'DocumentationTestController');

    // Dossiers Tests
    Route::delete('dossiers-tests/destroy', 'DossiersTestController@massDestroy')->name('dossiers-tests.massDestroy');
    Route::resource('dossiers-tests', 'DossiersTestController');

    // Quiz Tests
    Route::delete('quiz-tests/destroy', 'QuizTestController@massDestroy')->name('quiz-tests.massDestroy');
    Route::resource('quiz-tests', 'QuizTestController');

    // Statistices Tests
    Route::delete('statistices-tests/destroy', 'StatisticesTestController@massDestroy')->name('statistices-tests.massDestroy');
    Route::resource('statistices-tests', 'StatisticesTestController');

    // Archives Tests
    Route::delete('archives-tests/destroy', 'ArchivesTestController@massDestroy')->name('archives-tests.massDestroy');
    Route::resource('archives-tests', 'ArchivesTestController');

    // News
    Route::delete('news/destroy', 'NewsController@massDestroy')->name('news.massDestroy');
    Route::post('news/media', 'NewsController@storeMedia')->name('news.storeMedia');
    Route::post('news/ckmedia', 'NewsController@storeCKEditorImages')->name('news.storeCKEditorImages');
    Route::resource('news', 'NewsController');

    // Crm Statuses
    Route::delete('crm-statuses/destroy', 'CrmStatusController@massDestroy')->name('crm-statuses.massDestroy');
    Route::resource('crm-statuses', 'CrmStatusController');

    // Crm Customers
    Route::delete('crm-customers/destroy', 'CrmCustomerController@massDestroy')->name('crm-customers.massDestroy');
    Route::resource('crm-customers', 'CrmCustomerController');

    // Crm Notes
    Route::delete('crm-notes/destroy', 'CrmNoteController@massDestroy')->name('crm-notes.massDestroy');
    Route::resource('crm-notes', 'CrmNoteController');

    // Crm Documents
    Route::delete('crm-documents/destroy', 'CrmDocumentController@massDestroy')->name('crm-documents.massDestroy');
    Route::post('crm-documents/media', 'CrmDocumentController@storeMedia')->name('crm-documents.storeMedia');
    Route::post('crm-documents/ckmedia', 'CrmDocumentController@storeCKEditorImages')->name('crm-documents.storeCKEditorImages');
    Route::resource('crm-documents', 'CrmDocumentController');

    Route::get('system-calendar', 'SystemCalendarController@index')->name('systemCalendar');
    Route::get('global-search', 'GlobalSearchController@search')->name('globalSearch');
    Route::get('messenger', 'MessengerController@index')->name('messenger.index');
    Route::get('messenger/create', 'MessengerController@createTopic')->name('messenger.createTopic');
    Route::post('messenger', 'MessengerController@storeTopic')->name('messenger.storeTopic');
    Route::get('messenger/inbox', 'MessengerController@showInbox')->name('messenger.showInbox');
    Route::get('messenger/outbox', 'MessengerController@showOutbox')->name('messenger.showOutbox');
    Route::get('messenger/{topic}', 'MessengerController@showMessages')->name('messenger.showMessages');
    Route::delete('messenger/{topic}', 'MessengerController@destroyTopic')->name('messenger.destroyTopic');
    Route::post('messenger/{topic}/reply', 'MessengerController@replyToTopic')->name('messenger.reply');

app/Http/Controllers/Admin/BureauTestController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Model\Department\BureauTest;
use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyBureauTestRequest;
use App\Http\Requests\StoreBureauTestRequest;
use App\Http\Requests\UpdateBureauTestRequest;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class BureauTestController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('bureau_test_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $bureauTests = BureauTest::all();

        return view('admin.bureauTests.index', compact('bureauTests'));
    }

    public function create()
    {
        abort_if(Gate::denies('bureau_test_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.bureauTests.create');
    }

    public function store(StoreBureauTestRequest $request)
    {
        $bureauTest = BureauTest::create($request->all());

        return redirect()->route('admin.bureau-tests.index');

    }

    public function edit(BureauTest $bureauTest)
    {
        abort_if(Gate::denies('bureau_test_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.bureauTests.edit', compact('bureauTest'));
    }

    public function update(UpdateBureauTestRequest $request, BureauTest $bureauTest)
    {
        $bureauTest->update($request->all());

        return redirect()->route('admin.bureau-tests.index');

    }

    public function show(BureauTest $bureauTest)
    {
        abort_if(Gate::denies('bureau_test_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.bureauTests.show', compact('bureauTest'));
    }

    public function destroy(BureauTest $bureauTest)
    {
        abort_if(Gate::denies('bureau_test_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $bureauTest->delete();

        return back();

    }

    public function massDestroy(MassDestroyBureauTestRequest $request)
    {
        BureauTest::whereIn('id', request('ids'))->delete();

        return response(null, Response::HTTP_NO_CONTENT);

    }
}

resources/views/admin/bureauTests/create.blade.php
@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.bureauTest.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.bureau-tests.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label class="required" for="bureau">{{ trans('cruds.bureauTest.fields.bureau') }}</label>
                <input class="form-control {{ $errors->has('bureau') ? 'is-invalid' : '' }}" type="text" name="bureau" id="bureau" value="{{ old('bureau', '') }}" required>
                @if($errors->has('bureau'))
                    <span class="text-danger">{{ $errors->first('bureau') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.bureauTest.fields.bureau_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

resources/views/admin/bureauTests/edit.blade.php
@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.bureauTest.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.bureau-tests.update", [$bureauTest->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="bureau">{{ trans('cruds.bureauTest.fields.bureau') }}</label>
                <input class="form-control {{ $errors->has('bureau') ? 'is-invalid' : '' }}" type="text" name="bureau" id="bureau" value="{{ old('bureau', $bureauTest->bureau) }}" required>
                @if($errors->has('bureau'))
                    <span class="text-danger">{{ $errors->first('bureau') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.bureauTest.fields.bureau_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

resources/views/admin/bureauTests/index.blade.php
@extends('layouts.admin')
@section('content')
@can('bureau_test_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route("admin.bureau-tests.create") }}">
                {{ trans('global.add') }} {{ trans('cruds.bureauTest.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.bureauTest.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-BureauTest">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.bureauTest.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.bureauTest.fields.bureau') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($bureauTests as $key => $bureauTest)
                        <tr data-entry-id="{{ $bureauTest->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $bureauTest->id ?? '' }}
                            </td>
                            <td>
                                {{ $bureauTest->bureau ?? '' }}
                            </td>
                            <td>
                                @can('bureau_test_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.bureau-tests.show', $bureauTest->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('bureau_test_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.bureau-tests.edit', $bureauTest->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('bureau_test_delete')
                                    <form action="{{ route('admin.bureau-tests.destroy', $bureauTest->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('bureau_test_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.bureau-tests.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  $('.datatable-BureauTest:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection

resources/views/admin/bureauTests/show.blade.php
@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.bureauTest.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.bureau-tests.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.bureauTest.fields.id') }}
                        </th>
                        <td>
                            {{ $bureauTest->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.bureauTest.fields.bureau') }}
                        </th>
                        <td>
                            {{ $bureauTest->bureau }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.bureau-tests.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection